Get payment records

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional
Order by
Allowed values:
limitintegerOptional1-100Defaults to 100
Max is 100
pagination_tokenstringOptional
A token, obtained from previous page. Prior over other filters
sortenumOptional
Allowed sort fields
Allowed values:
is_externalbooleanOptional
Identifies whether payment is from our rails or external system
object_idstringOptionalformat: "uuid"
ID of the object, that is connected to payment
object_id__instringOptionalformat: "uuid"
List of IDs of the objects, that are connected to payments
object_typeenumOptional
Type of an object, which is connected with payment
Allowed values:
created_at__gtdatetimeOptional

Created after this datetime (exclusive)

created_at__ltdatetimeOptional

Created before this datetime (exclusive)

updated_at__gtdatetimeOptional

Updated after this datetime (exclusive)

updated_at__ltdatetimeOptional

Updated before this datetime (exclusive)

paid_at__gtdatetimeOptional

Paid after this datetime (exclusive)

paid_at__ltdatetimeOptional

Paid before this datetime (exclusive)

planned_payment_datestringOptionalformat: "date"

Optional date of the upcoming payment (equality)

planned_payment_date__gtstringOptionalformat: "date"

Planned after this date (exclusive)

planned_payment_date__ltstringOptionalformat: "date"

Planned before this date (exclusive)

planned_payment_date__gtestringOptionalformat: "date"

Planned at or after this date (inclusive)

planned_payment_date__ltestringOptionalformat: "date"

Planned at or before this date (inclusive)

statusenumOptional
One of the payment record statuses
Allowed values:
payment_intent_statusstringOptional
Payment intent status as a raw string
payment_methodstringOptional
Payment method used for the transaction

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

422
Get Payment Records Request Unprocessable Entity Error
500
Get Payment Records Request Internal Server Error